Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.search.batchindexing
Interface MassIndexerProgressMonitor

All Known Implementing Classes:
  SimpleIndexingProgressMonitor

    public interface MassIndexerProgressMonitor

As a MassIndexer can take some time to finish it's job, a MassIndexerProgressMonitor can be defined in the configuration property hibernate.search.worker.indexing.monitor implementing this interface to track indexing performance. Implementors must: be threadsafe have a no-arg constructor.

Author:
  Sanne Grinovero

Method Summary
`void` | `addToTotalCount(long count)` The total count of entities to be indexed is added here; It could be called more than once, the implementation should add them up.
`void` | `documentsAdded(long increment)` The number of documents sent to the backend; This is called several times during the indexing process.
`void` | `documentsBuilt(int number)` The number of Documents built; This is called several times and concurrently during the indexing process.
`void` | `entitiesLoaded(int size)` The number of entities loaded from database; This is called several times and concurrently during the indexing process.

Method Detail

### documentsAdded

    void documentsAdded(long increment)

  The number of documents sent to the backend; This is called several times during the indexing process.

  Parameters:
    `increment` -

### documentsBuilt

    void documentsBuilt(int number)

  The number of Documents built; This is called several times and concurrently during the indexing process.

  Parameters:
    `number` -

### entitiesLoaded

    void entitiesLoaded(int size)

  The number of entities loaded from database; This is called several times and concurrently during the indexing process.

  Parameters:
    `size` -

### addToTotalCount

    void addToTotalCount(long count)

  The total count of entities to be indexed is added here; It could be called more than once, the implementation should add them up. This is called several times and concurrently during the indexing process.

  Parameters:
    `count` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Hibernate. All Rights Reserved.